From dsd@gentoo.org Wed Aug 31 08:39:34 2005
Message-ID: <4315CF01.1070001@gentoo.org>
Date: Wed, 31 Aug 2005 16:38:41 +0100
From: Daniel Drake <dsd@gentoo.org>
To: Alan Stern <stern@rowland.harvard.edu>
Cc: greg@kroah.com, Phil Dibowitz <phil@ipom.com>, usb-storage@lists.one-eyed-alien.net,
Subject: USB: usb-storage: Add unusual_devs entry for Neuros Audio MP3 player

Alan Stern wrote:
> If the device sometimes reports the correct values, then you should
> include NEED_OVERRIDE flag to prevent messages about unnecessary
> overrides showing up in the system log.  Also, if bInterfaceSubclass
> is correct and only bInterfaceProtocol is wrong, then the entry should
> say US_SC_DEVICE instead of US_SC_SCSI.

Fair points, thanks.

When connected over USB2, this device reports a nonsense
bInterfaceProtocol value 6 and doesn't work with usb-storage.  When
connected over USB1, the device reports the correct bInterfaceProtocol
value 0x50 (bulk) and works with no problems.

Signed-off-by: Daniel Drake <dsd@gentoo.org>
Signed-off-by: Phil Dibowitz <phil@ipom.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/storage/unusual_devs.h |    8 ++++++++
 1 file changed, 8 insertions(+)

--- gregkh-2.6.orig/drivers/usb/storage/unusual_devs.h	2005-09-12 11:02:37.000000000 -0700
+++ gregkh-2.6/drivers/usb/storage/unusual_devs.h	2005-09-12 11:02:38.000000000 -0700
@@ -130,6 +130,14 @@ UNUSUAL_DEV(  0x0457, 0x0150, 0x0100, 0x
 		"USB Mass Storage Device",
 		US_SC_DEVICE, US_PR_DEVICE, NULL, US_FL_NOT_LOCKABLE ),
 
+/* Patch submitted by Daniel Drake <dsd@gentoo.org>
+ * Device reports nonsense bInterfaceProtocol 6 when connected over USB2 */
+UNUSUAL_DEV(  0x0451, 0x5416, 0x0100, 0x0100,
+		"Neuros Audio",
+		"USB 2.0 HD 2.5",
+		US_SC_DEVICE, US_PR_BULK, NULL,
+		US_FL_NEED_OVERRIDE ),
+
 /* Patch submitted by Philipp Friedrich <philipp@void.at> */
 UNUSUAL_DEV(  0x0482, 0x0100, 0x0100, 0x0100,
 		"Kyocera",
